Bug 177125 - useradd fails when creating users with capitals in username
useradd fails when creating users with capitals in username
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 10:22 EST by Justin Marie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 07:46:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Marie 2006-01-06 10:22:32 EST
Description of problem:
When creating a user via 'useradd', you cannot create a user with an uppercase
letter.  'useradd' fails with "useradd: invalid user name <username>"  For
instance, this fails for my attempt at using a username with mixed alpha and
numeric characters (A012345).

Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-25.RHEL3

How reproducible:
run 'useradd' with a username that has a capital letter

Steps to Reproduce:
1.useradd A012345
2.
3.
  
Actual results:
Fails with message "useradd: invalid user name <username>"

Expected results:
Create user account

Additional info:
This but was reported in RH9 Bug 89677
Comment 1 Peter Vrabec 2006-01-18 07:46:20 EST
This problem is going to be fixed in next update(U7) in shadow-utils-4.0.3-26.RHEL3

Note You need to log in before you can comment on or make changes to this bug.